### Hierarchy

- NavigationPreloadManager

## Index

### Methods

- disable
- enable
- getState
- setHeaderValue

## Methods

### disable

- disable(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10292

  #### Returns Promise<void>

### enable

- enable(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10293

  #### Returns Promise<void>

### getState

- getState(): Promise<NavigationPreloadState>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10294

  #### Returns Promise<NavigationPreloadState>

### setHeaderValue

- setHeaderValue(value: string): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10295

  #### Parameters

  - ##### value: string

  #### Returns Promise<void>

Generated using TypeDoc